Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038582
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2018-05-18 12:312018-05-30 09:40
ReporterkchoperenaView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revisionc412dd9e950d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038582: [SERQA 4076]:In back-end, if we modify a date filter after make a search, it cannot be launch another search without clean filte

DescriptionIn back-end, if we have enabled lazy filtering functionality the date filters does not work properly. Used config in the attached image
Steps To ReproduceSteps:
 1.- Apply any value in a date filter (Ej.: Since 16-05-2018)
 2.- Search the data, click on V
 3.- Modify the value of the same filter (Ej.: Since 17-05-2018)
 Expected results: It is not possible launch another search without clean the filter. Also, the image of V tick will be not available.

Video: https://drive.google.com/file/d/1QZ7bN-266saznAl4nwHOj8Vw9K-DR1Is/view [^]
TagsNo tags attached.
Attached Filespng file icon LazyConfig.png [^] (27,928 bytes) 2018-05-18 12:31

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0104743)
hgbot (developer)
2018-05-28 11:45

Repository: erp/devel/pi
Changeset: c412dd9e950d263589ff6efbcf06589e8a1e2f29
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon May 28 09:03:30 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c412dd9e950d263589ff6efbcf06589e8a1e2f29 [^]

fixes bug 38582: wrong behavior after setting a date filter having lazy filtering

  The grid was not being set as ready to filter after setting a date filter using the date range dialog. Now, we explicitly put the grid in the correct status in that case.

  Together with this, a new function called getSourceGrid() has been added, which provides the reference to the parent (source) grid of the date filter. And we are using it where needed.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-minidaterange.js
---
(0104747)
hgbot (developer)
2018-05-28 13:30

Repository: erp/devel/pi
Changeset: d6e036ff58fe1a7818919e819b1c7acfe2cf1476
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon May 28 13:29:53 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d6e036ff58fe1a7818919e819b1c7acfe2cf1476 [^]

related to issue 38582: properly check whether the range has changed

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-minidaterange.js
---
(0104748)
hgbot (developer)
2018-05-28 13:33

Repository: erp/devel/pi
Changeset: 4bc8745f6b75c8370f98f7045c8e2391c8bc036c
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon May 28 13:33:35 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/4bc8745f6b75c8370f98f7045c8e2391c8bc036c [^]

related to issue 38582: check first if lazy filtering is enabled

  Micro-optimization to avoid checking the changes in the date range if lazy filtering is not enabled

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-minidaterange.js
---
(0104753)
hudsonbot (developer)
2018-05-28 16:08

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/816950756de8 [^]
Maturity status: Test
(0104770)
alostale (developer)
2018-05-29 14:42

Reopening.

Test cases:
OK - 1. Fill date directly in grid's text box
OK - 2. Fill date from in popup
OK - 3. Fill date to in poup
OK - 4. Change date from in popup
OK - 5. Change date to in popup
OK - 6. Change filter in grid's text box
OK - 7. Remove entered filter in grid's text box
FAIL - 8. Use the Clear button in poup
    -> the apply tick is not enabled
(0104777)
hudsonbot (developer)
2018-05-29 17:12

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a5c637c20093 [^]
Maturity status: Test
(0104778)
hudsonbot (developer)
2018-05-29 17:12

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a5c637c20093 [^]
Maturity status: Test
(0104788)
hgbot (developer)
2018-05-29 18:44

Repository: erp/devel/pi
Changeset: 8818ecc71e135f5076058471d85db1e8e8b412f5
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue May 29 18:33:30 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/8818ecc71e135f5076058471d85db1e8e8b412f5 [^]

related to issue 38582: enable apply tick when the range is cleared

  Check rangeItemValue if there is no new range defined:

  - If rangeItemValue is not null, it means that the range has been cleared: apply tick should be enabled
  - If rangeItemValue is null, the range has not changed (it is still empty): apply tick should not be enabled

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-minidaterange.js
---
(0104796)
hudsonbot (developer)
2018-05-30 00:14

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/08f13cf1fa33 [^]
Maturity status: Test
(0104800)
alostale (developer)
2018-05-30 09:40

Reviewed.

Tested
OK - 1. Fill date directly in grid's text box
OK - 2. Fill date from in popup
OK - 3. Fill date to in poup
OK - 4. Change date from in popup
OK - 5. Change date to in popup
OK - 6. Change filter in grid's text box
OK - 7. Remove entered filter in grid's text box
OK - 8. Use the Clear button in poup

- Issue History
Date Modified Username Field Change
2018-05-18 12:31 kchoperena New Issue
2018-05-18 12:31 kchoperena Assigned To => caristu
2018-05-18 12:31 kchoperena File Added: LazyConfig.png
2018-05-18 12:31 kchoperena Modules => Core
2018-05-18 12:31 kchoperena Triggers an Emergency Pack => No
2018-05-25 15:41 caristu Status new => scheduled
2018-05-28 11:45 hgbot Checkin
2018-05-28 11:45 hgbot Note Added: 0104743
2018-05-28 11:45 hgbot Status scheduled => resolved
2018-05-28 11:45 hgbot Resolution open => fixed
2018-05-28 11:45 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/c412dd9e950d263589ff6efbcf06589e8a1e2f29 [^]
2018-05-28 13:30 hgbot Checkin
2018-05-28 13:30 hgbot Note Added: 0104747
2018-05-28 13:33 hgbot Checkin
2018-05-28 13:33 hgbot Note Added: 0104748
2018-05-28 13:34 caristu Review Assigned To => alostale
2018-05-28 16:08 hudsonbot Checkin
2018-05-28 16:08 hudsonbot Note Added: 0104753
2018-05-29 14:42 alostale Note Added: 0104770
2018-05-29 14:42 alostale Status resolved => new
2018-05-29 14:42 alostale Resolution fixed => open
2018-05-29 17:12 hudsonbot Checkin
2018-05-29 17:12 hudsonbot Note Added: 0104777
2018-05-29 17:12 hudsonbot Checkin
2018-05-29 17:12 hudsonbot Note Added: 0104778
2018-05-29 18:44 hgbot Checkin
2018-05-29 18:44 hgbot Note Added: 0104788
2018-05-29 18:44 caristu Status new => scheduled
2018-05-29 18:44 caristu Status scheduled => resolved
2018-05-29 18:44 caristu Resolution open => fixed
2018-05-30 00:14 hudsonbot Checkin
2018-05-30 00:14 hudsonbot Note Added: 0104796
2018-05-30 09:40 alostale Note Added: 0104800
2018-05-30 09:40 alostale Status resolved => closed
2018-05-30 09:40 alostale Fixed in Version => 3.0PR18Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker